Subject: bug#78753: [PATCH] Add repeat-map for calendar year navigation commands

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Jun 2025 19:40:27 +0300

>>> With this patch and with repeat-mode active, one can navigate by year in
>>> calendar using 'C-x ] ]' rather than 'C-x ] C-x ]', for instance.
>>
>> I wanted to suggest the same thing for 'C-x >', but discovered it has
>> a shorter alternative '>' for the same command 'calendar-scroll-left'.
>> (I don't remember whether I usually use it or the longer sequence).
>>
>> Would it be simpler just to add the single key bindings '[' and ']'?
>> There are currently free in 'calendar-mode-map'.
>
> Ah, good thinking.  Yes, and along similar lines, how about binding '{'
> and '}' to 'calendar-backward-month' and 'calendar-forward-month'?

Good idea.

> Let me know if I can help with this or if it's easier for you just to do
> it.

It's not easier for me since it requires also updating the documentation ;-)